{
    "scan": {
        "analyzer-version-gcc": "16.1.1"
    },
    "defects": [
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 498,
                    "column": 15,
                    "h_size": 21,
                    "event": "warning[-Wanalyzer-use-of-uninitialized-value]",
                    "message": "use of uninitialized value '*<unknown>'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 437,
                    "column": 8,
                    "h_size": 20,
                    "event": "enter_function",
                    "message": "entry to 'bs_size_new_from_str'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 470,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 492,
                    "column": 20,
                    "h_size": 49,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 492,
                    "column": 20,
                    "h_size": 49,
                    "event": "call_function",
                    "message": "calling 'replace_char_with_str' from 'bs_size_new_from_str'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 133,
                    "column": 14,
                    "h_size": 21,
                    "event": "enter_function",
                    "message": "entry to 'replace_char_with_str'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 141,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'str' is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 145,
                    "column": 15,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 145,
                    "column": 36,
                    "h_size": 4,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'next' is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 149,
                    "column": 35,
                    "h_size": 11,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 150,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'ret' is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 150,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 492,
                    "column": 20,
                    "h_size": 49,
                    "event": "return_function",
                    "message": "returning to 'bs_size_new_from_str' from 'replace_char_with_str'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 493,
                    "column": 8,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 498,
                    "column": 15,
                    "h_size": 21,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/libbytesize-2.12-build/libbytesize-2.12/src/bs_size.c",
                    "line": 498,
                    "column": 15,
                    "h_size": 21,
                    "event": "danger",
                    "message": "use of uninitialized value '*<unknown>' here",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
